using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;
//css_reference Microsoft.DirectX.dll;
//css_reference Microsoft.DirectX.Direct3D.dll;
//css_reference Microsoft.DirectX.Direct3DX.dll;

namespace TDCG.Proportion
{
    public class ee_body_w_u : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        public void Execute()
        {
            TPONode node;

            node = nodes["W_Hips"];
            node.Scale1(1.20F, 1.00F, 1.20F);

            node = nodes["W_Spine_Dummy"];
            node.Scale1(1.20F, 1.00F, 1.20F);

            node = nodes["W_Spine1"];
            node.Scale1(1.20F, 1.00F, 1.20F);

            node = nodes["W_Spine2"];
            node.Scale1(1.20F, 1.00F, 1.20F);

            node = nodes["W_Spine3"];
            node.Scale1(1.20F, 1.00F, 1.20F);

            node = nodes["W_RightShoulder_Dummy"];
            node.Scale1(1.20F, 1.00F, 1.20F);

            node = nodes["W_LeftShoulder_Dummy"];
            node.Scale1(1.20F, 1.00F, 1.20F);
        }
    }
}
